- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Enumerations | Functions
Ethumb Fine Tune Setup
Ethumb

How to fine tune thumbnail generation, setting size, aspect, frames, quality and so on. More...

## Typedefs
typedef enum _Ethumb_Thumb_FDO_Size | Ethumb_Thumb_FDO_Size
typedef enum _Ethumb_Thumb_Format | Ethumb_Thumb_Format
typedef enum _Ethumb_Thumb_Aspect | Ethumb_Thumb_Aspect
typedef enum _Ethumb_Thumb_Orientation | Ethumb_Thumb_Orientation

## Enumerations
enum | _Ethumb_Thumb_FDO_Size { ETHUMB_THUMB_NORMAL, ETHUMB_THUMB_LARGE }
enum | _Ethumb_Thumb_Format { ETHUMB_THUMB_FDO, ETHUMB_THUMB_JPEG, ETHUMB_THUMB_EET }
enum | _Ethumb_Thumb_Aspect { ETHUMB_THUMB_KEEP_ASPECT, ETHUMB_THUMB_IGNORE_ASPECT, ETHUMB_THUMB_CROP }
enum | _Ethumb_Thumb_Orientation { ETHUMB_THUMB_ORIENT_NONE, ETHUMB_THUMB_ROTATE_90_CW, ETHUMB_THUMB_ROTATE_180, ETHUMB_THUMB_ROTATE_90_CCW, ETHUMB_THUMB_FLIP_HORIZONTAL, ETHUMB_THUMB_FLIP_VERTICAL, ETHUMB_THUMB_FLIP_TRANSPOSE, ETHUMB_THUMB_FLIP_TRANSVERSE, ETHUMB_THUMB_ORIENT_ORIGINAL }

## Functions
EAPI Eina_Bool | ethumb_frame_set (Ethumb *e, const char *theme_file, const char *group, const char *swallow)
EAPI void | ethumb_frame_get (const Ethumb *e, const char **theme_file, const char **group, const char **swallow)
EAPI void | ethumb_thumb_dir_path_set (Ethumb *e, const char *path)
EAPI const char * | ethumb_thumb_dir_path_get (const Ethumb *e)
EAPI void | ethumb_thumb_category_set (Ethumb *e, const char *category)
EAPI const char * | ethumb_thumb_category_get (const Ethumb *e)
EAPI void | ethumb_thumb_path_set (Ethumb *e, const char *path, const char *key)
EAPI void | ethumb_thumb_path_get (Ethumb *e, const char **path, const char **key)
EAPI void | ethumb_thumb_hash (Ethumb *e)
EAPI void | ethumb_thumb_hash_copy (Ethumb *dst, const Ethumb *src)
EAPI void | ethumb_thumb_fdo_set (Ethumb *e, Ethumb_Thumb_FDO_Size s)
EAPI void | ethumb_thumb_size_set (Ethumb *e, int tw, int th)
EAPI void | ethumb_thumb_size_get (const Ethumb *e, int *tw, int *th)
EAPI void | ethumb_thumb_format_set (Ethumb *e, Ethumb_Thumb_Format f)
EAPI Ethumb_Thumb_Format | ethumb_thumb_format_get (const Ethumb *e)
EAPI void | ethumb_thumb_aspect_set (Ethumb *e, Ethumb_Thumb_Aspect a)
EAPI Ethumb_Thumb_Aspect | ethumb_thumb_aspect_get (const Ethumb *e)
EAPI void | ethumb_thumb_orientation_set (Ethumb *e, Ethumb_Thumb_Orientation o)
EAPI Ethumb_Thumb_Orientation | ethumb_thumb_orientation_get (const Ethumb *e)
EAPI void | ethumb_thumb_crop_align_set (Ethumb *e, float x, float y)
EAPI void | ethumb_thumb_crop_align_get (const Ethumb *e, float *x, float *y)
EAPI void | ethumb_thumb_quality_set (Ethumb *e, int quality)
EAPI int | ethumb_thumb_quality_get (const Ethumb *e)
EAPI void | ethumb_thumb_compress_set (Ethumb *e, int compress)
EAPI int | ethumb_thumb_compress_get (const Ethumb *e)
EAPI void | ethumb_video_start_set (Ethumb *e, float start)
EAPI float | ethumb_video_start_get (const Ethumb *e)
EAPI void | ethumb_video_time_set (Ethumb *e, float time)
EAPI float | ethumb_video_time_get (const Ethumb *e)
EAPI void | ethumb_video_interval_set (Ethumb *e, float interval)
EAPI float | ethumb_video_interval_get (const Ethumb *e)
EAPI void | ethumb_video_ntimes_set (Ethumb *e, unsigned int ntimes)
EAPI unsigned int | ethumb_video_ntimes_get (const Ethumb *e)
EAPI void | ethumb_video_fps_set (Ethumb *e, unsigned int fps)
EAPI unsigned int | ethumb_video_fps_get (const Ethumb *e)
EAPI void | ethumb_document_page_set (Ethumb *e, unsigned int page)
EAPI unsigned int | ethumb_document_page_get (const Ethumb *e)

## Detailed Description

How to fine tune thumbnail generation, setting size, aspect, frames, quality and so on.

## Enumeration Type Documentation

enum _Ethumb_Thumb_FDO_Size

Enumerator
ETHUMB_THUMB_NORMAL | 128x128 as defined by FreeDesktop.Org standard
ETHUMB_THUMB_LARGE | 256x256 as defined by FreeDesktop.Org standard

enum _Ethumb_Thumb_Format

Enumerator
ETHUMB_THUMB_FDO | PNG as defined by FreeDesktop.Org standard.
ETHUMB_THUMB_JPEG | JPEGs are often smaller and faster to read/write.
ETHUMB_THUMB_EET | EFL's own storage system, supports key parameter.

enum _Ethumb_Thumb_Aspect

Enumerator
ETHUMB_THUMB_KEEP_ASPECT | keep original proportion between width and height
ETHUMB_THUMB_IGNORE_ASPECT | ignore aspect and foce it to match thumbnail's width and height
ETHUMB_THUMB_CROP | keep aspect but crop (cut) the largest dimension

enum _Ethumb_Thumb_Orientation

Enumerator
ETHUMB_THUMB_ORIENT_NONE | keep orientation as pixel data is
ETHUMB_THUMB_ROTATE_90_CW | rotate 90° clockwise
ETHUMB_THUMB_ROTATE_180 | rotate 180°
ETHUMB_THUMB_ROTATE_90_CCW | rotate 90° counter-clockwise
ETHUMB_THUMB_FLIP_HORIZONTAL | flip horizontally
ETHUMB_THUMB_FLIP_VERTICAL | flip vertically
ETHUMB_THUMB_FLIP_TRANSPOSE | transpose
ETHUMB_THUMB_FLIP_TRANSVERSE | transverse
ETHUMB_THUMB_ORIENT_ORIGINAL | use orientation from metadata (EXIF-only currently)